#14 Problem reading ~/.mime.types

closed-rejected
nobody
None
5
2004-06-03
2004-04-28
kjnash
No

When loading or saving a document, a warning is generated.
Here is the log file:
08:43:53 PM: Unknown field in file /home/user/.mime.types, line
22: 'x-src'.
08:43:53 PM: Unknown field in file /home/user/.mime.types, line
26: 'x-src'.
08:43:53 PM: Unknown field in file /home/user/.mime.types, line
30: 'x-src'.
08:43:53 PM: Unknown field in file /home/user/.mime.types, line
34: 'x-src'.

My system is the same as in bug report [ 943575 ].

/home/user/.mime.types is here: the offending lines appear to
have been added by Crossover Office (the commercially
packaged version of Wine).

[user@localhost bin]$ cat ~/.mime.types
#--Netscape Communications Corporation MIME Information
#Do not delete the above line. It is used to identify the file type.
#
application/vnd.sun.xml.writer sxw
application/vnd.sun.xml.writer.template stw
application/vnd.sun.xml.writer.global sxg
application/vnd.stardivision.writer sdw vor
application/vnd.stardivision.writer-global sgl
application/vnd.sun.xml.calc sxc
application/vnd.sun.xml.calc.template stc
application/vnd.stardivision.calc sdc
application/vnd.sun.xml.impress sxi
application/vnd.sun.xml.impress.template sti
application/vnd.stardivision.impress sdd sdp
application/vnd.sun.xml.draw sxd
application/vnd.sun.xml.draw.template std
application/vnd.stardivision.draw sda
application/vnd.sun.xml.math sxm
application/vnd.stardivision.math smf
type=application/x-crossover-chm \
desc=Compiled HTML Help file \
x-src=cxoffice \
exts="chm"
type=application/x-crossover-exe \
desc=MS Windows executable \
x-src=cxoffice \
exts="exe"
type=application/msword \
desc=Microsoft Word Document \
x-src=cxoffice \
exts="doc,rtf"
type=application/vnd.ms-excel \
desc=Microsoft Excel Worksheet \
x-src=cxoffice \
exts="xls"
[user@localhost bin]$

Discussion

  • Daniel Pozmanter

    Logged In: YES
    user_id=796750

    WHOAH. I have no idea of where to even begin here.
    Try download the wxPython demo, and running that.

    Do you get the same error?

    On a hunch, this looks like eithe rpython or wxpython
    looking in ~/.mime.types (which drpython never explicitly does).

    Here is my mime types file:
    application/vnd.sun.xml.writer sxw
    application/vnd.sun.xml.writer.template stw
    application/vnd.sun.xml.writer.global sxg
    application/vnd.stardivision.writer sdw vor
    application/vnd.stardivision.writer-global sgl
    application/vnd.sun.xml.calc sxc
    application/vnd.sun.xml.calc.template stc
    application/vnd.stardivision.calc sdc
    application/vnd.sun.xml.impress sxi
    application/vnd.sun.xml.impress.template sti
    application/vnd.stardivision.impress sdd sdp
    application/vnd.sun.xml.draw sxd
    application/vnd.sun.xml.draw.template std
    application/vnd.stardivision.draw sda
    application/vnd.sun.xml.math sxm
    application/vnd.stardivision.math smf
    application/vnd.sun.xml.writer sxw
    application/vnd.sun.xml.writer.template stw
    application/vnd.sun.xml.writer.global sxg
    application/vnd.stardivision.writer sdw vor
    application/vnd.stardivision.writer-global sgl
    application/vnd.sun.xml.calc sxc
    application/vnd.sun.xml.calc.template stc
    application/vnd.stardivision.calc sdc
    application/vnd.sun.xml.impress sxi
    application/vnd.sun.xml.impress.template sti
    application/vnd.stardivision.impress sdd sdp
    application/vnd.sun.xml.draw sxd
    application/vnd.sun.xml.draw.template std
    application/vnd.stardivision.draw sda
    application/vnd.sun.xml.math sxm
    application/vnd.stardivision.math smf
    application/vnd.sun.xml.writer sxw
    application/vnd.sun.xml.writer.template stw
    application/vnd.sun.xml.writer.global sxg
    application/vnd.stardivision.writer sdw vor
    application/vnd.stardivision.writer-global sgl
    application/vnd.sun.xml.calc sxc
    application/vnd.sun.xml.calc.template stc
    application/vnd.stardivision.calc sdc
    application/vnd.sun.xml.impress sxi
    application/vnd.sun.xml.impress.template sti
    application/vnd.stardivision.impress sdd sdp
    application/vnd.sun.xml.draw sxd
    application/vnd.sun.xml.draw.template std
    application/vnd.stardivision.draw sda
    application/vnd.sun.xml.math sxm
    application/vnd.stardivision.math smf
    type=application/x-java-jnlp-file desc="Java Web Start"
    exts="jnlp"

    I am guessing that removing the '\' at end of each line, and
    then
    putting the liens together will remove the error.
    Like so:

    Before:
    type=application/vnd.ms-excel \ desc=Microsoft Excel Worksheet \ x-src=cxoffice \ exts="xls"

    After:
    type=application/vnd.ms-excel desc=Microsoft Excel Worksheet
    x-src=cxoffice exts="xls"

    All One Line.

     
  • kjnash

    kjnash - 2004-04-29

    Logged In: YES
    user_id=991282

    The file requester allows the user to filter certain file types.

    Possibly WxWindows looks at ~/.mime.types when it tries to decide
    how to do the filtering. However, I did not get the error when running
    the file selector in the wxpython demo.

    Clearly it is not helpful that Crossover writes to ~/.mime.types in a
    different format from Mozilla!

     
  • Daniel Pozmanter

    Logged In: YES
    user_id=796750

    Did you try combining the lines?
    Again, I am not sure of what to do here.
    DrPython never seems to access this file on its own.
    And it is changed by some other program.

    Is this a fatal error, or simply a warning pumped out to
    standard output?

     
  • Daniel Pozmanter

    • status: open --> closed-rejected
     
  • Daniel Pozmanter

    Logged In: YES
    user_id=796750

    Since I have not heard back in quite a while, and this bug is
    produced by a third party program, I am closing this bug.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks